use std::ptr::null;
use crate::{msdk};
use crate::msdk::user_id::UserId;
use log::{info, warn, error};
use matrix_sdk::ServerName;
use crate::msdk::user_id;




#[tauri::command]
pub async fn login(homeserver: &str, username: &str, password: &str) -> Result<u8 , u8> {

    let client_build_server = 1;
    let matrix_auth = 2;

    let client = match msdk::Client::builder().server_name(<&ServerName>::try_from(homeserver).unwrap()).build().await {
        Ok(client) => client,  // If successful, use the client
        Err(e) => {
            error!("Error log: build client failure {:?}", e);
            return Ok(client_build_server);

        }
    };

    // First we need to log in.
    match client.matrix_auth().login_username(username, &*password).send().await {
        Ok(response) => {
            error!("Login Success! {:?}", response);

            let access_token = response.access_token;
            let user_id = response.user_id;
            let device_id = response.device_id;

            Ok(0)
        }
        Err(e) => {

            error!("Error log: login failed. {:?}", e);
            Ok(matrix_auth)
        }
    }



}


