use sqlx::postgres::PgPoolOptions;
use std::env;
use dotenv::dotenv;
use log::error;

#[tokio::main]
pub async fn db_init() -> Result<sqlx::PgPool, sqlx::Error> {
    dotenv().ok();


    let database_url = "postgres://test_user:testpasswd@localhost/data";

    let pool = PgPoolOptions::new().max_connections(5).connect(&database_url).await;

    match pool {
        Ok(pool) => Ok(pool),
        Err(e) => {
            error!("Failed to create database pool: {}", e);
            Err(e)
        }
    }
}







