
const invoke = window.__TAURI__.core.invoke;

async function login() {

    let homeserver = document.getElementById("homeserver").value;
    let username = document.getElementById("username").value;
    let password = document.getElementById("password").value;

    let label = document.getElementById("error-label");


    const errors = ["Could not connect to homeserver", "Incorrect username or password"];

    /**
     * Error Codes
     * @code {u8 / int}: 0 - Successful, no error
     * @code {u8 / int}: 1 - Could not connect to homeserver (auth.rs -  let client = match msdk::Client::builder().server_name)
     * @code {u8 / int}: 2 - Incorrect username or password (auth.rs - match client.matrix_auth().login_username)
     */


    let result = await invoke('login', {homeserver: homeserver, username: username, password: password});

    if ( result !== 0 ) {
        for (let i=0; i < errors.length + 1; i++) {
            if (result === i) {
                label.innerText = errors[i-1] + " [" + i + "]";
                break;
            }
        }

    }

}
